
Summary: KDE Micro-Blogging Client
Name: choqok
Version: 1.6.0
Release: 1%{?dist}

License: GPLv3
URL: http://choqok.gnufolks.org/
Source0: http://download.kde.org/stable/choqok/1.6/src/choqok-%{version}.tar.xz

## upstreamable patches
# see also https://ayoy.lighthouseapp.com/projects/32547/tickets/20-qoauth-qt4qt5-parallel-installability
# FIXME/TODO: make more upstreamable to allow for both qoauth-qt5 and (old) qoauth ?
Patch100: choqok-1.6.0-qoauth-qt5.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
%if 0%{?fedora} > 19
BuildRequires: libappstream-glib
%endif

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Widgets)

BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5ConfigWidgets)
BuildRequires: cmake(KF5CoreAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5Emoticons)
BuildRequires: cmake(KF5GlobalAccel)
BuildRequires: cmake(KF5GuiAddons)
BuildRequires: cmake(KF5KCMUtils)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5Sonnet)
BuildRequires: cmake(KF5TextWidgets)
BuildRequires: cmake(KF5Wallet)
BuildRequires: cmake(KF5WidgetsAddons)
BuildRequires: cmake(KF5XmlGui)

BuildRequires: cmake(Qca-qt5)
BuildRequires: pkgconfig(qoauth-qt5)

# optional features
BuildRequires: cmake(TelepathyQt5)
BuildRequires: cmake(KF5Attica)
BuildRequires: cmake(KF5Parts)
BuildRequires: cmake(KF5WebKit)

# drop/omit -devel subpkg for now, upgrade path
Obsoletes: choqok-devel < 1.6.0

Requires: %{name}-libs%{?_isa} = %{version}-%{release}

%description
A Free/Open Source micro-blogging client for K Desktop Environment.
The name comes from an ancient Persian word, which means Sparrow!
Choqok currently supports Twitter.com and Identi.ca services.

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}

%package devel
Summary:  Development files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}


%prep
%setup -q

%patch100 -p1 -b .qt5

%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name}

## unpackaged files
rm -fv %{buildroot}%{_kf5_libdir}/lib*helper.so
# omit -devel stuff (for now)
rm -frv %{buildroot}%{_includedir}/choqok/
rm -fv %{buildroot}%{_kf5_libdir}/libchoqok.so
# this is bogus anyway, wrong path --rex
rm -fv %{buildroot}%{_kf5_datadir}/cmake/modules/FindChoqok.cmake


%check
appstream-util validate-relax --nonet %{buildroot}%{datadir}/appdata/org.kde.choqok.appdata.xml ||:
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.choqok.desktop


%post
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kf5_datadir}/icons/hicolor &> /dev/null
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kf5_datadir}/icons/hicolor &> /dev/null || :

%files -f %{name}.lang
%doc README AUTHORS changelog TODO
%license COPYING
%{_kf5_bindir}/choqok
%{_kf5_qtplugindir}/choqok_*.so
%{_kf5_qtplugindir}/kcm_choqok_*.so
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/applications/org.kde.choqok.desktop
%{_datadir}/appdata/org.kde.choqok.appdata.xml
%{_datadir}/dbus-1/services/org.kde.choqok.service
%{_kf5_datadir}/config.kcfg/*.kcfg
%{_kf5_datadir}/kservices5/choqok_*.desktop
%{_kf5_datadir}/choqok/
%{_kf5_datadir}/knotifications5/choqok/
%{_kf5_datadir}/kxmlgui5/*choqok*/
%{_kf5_plugindir}/parts/konqchoqokplugin.so
%{_kf5_datadir}/kservices5/ServiceMenus/choqok_*.desktop
%{_kf5_datadir}/kservices5/konqchoqok.desktop
%{_kf5_datadir}/kservicetypes5/choqok*.desktop
%lang(ca) %{_kf5_docdir}/HTML/ca/choqok/
%lang(de) %{_kf5_docdir}/HTML/de/choqok/
%lang(en) %{_kf5_docdir}/HTML/en/choqok/
%lang(es) %{_kf5_docdir}/HTML/es/choqok/
%lang(fr) %{_kf5_docdir}/HTML/fr/choqok/
%lang(it) %{_kf5_docdir}/HTML/it/choqok/
%lang(nl) %{_kf5_docdir}/HTML/nl/choqok/
%lang(pt) %{_kf5_docdir}/HTML/pt/choqok/
%lang(pt_BR) %{_kf5_docdir}/HTML/pt_BR/choqok/
%lang(sv) %{_kf5_docdir}/HTML/sv/choqok/
%lang(uk) %{_kf5_docdir}/HTML/uk/choqok/

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kf5_libdir}/libchoqok.so.*
%{_kf5_libdir}/libgnusocialapihelper.so.1*
%{_kf5_libdir}/libtwitterapihelper.so.1*

%if 0
%files devel
%{_includedir}/choqok/
%{_kf5_libdir}/libchoqok.so
%{_kf5_datadir}/cmake/modules/FindChoqok.cmake
%endif


%changelog
* Fri Feb 24 2017 Rex Dieter <rdieter@fedoraproject.org> - 1.6.0-1
- choqok-1.6.0 (#1403458), drop -devel subpkg for now

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.5-2
- Rebuilt for GCC 5 C++11 ABI change

* Sat Jan 24 2015 Rex Dieter <rdieter@fedoraproject.org> 1.5-1
- 1.5

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> 1.4-1
- 1.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-0.4.20130711
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 11 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-0.3.20130711
- 1.3.1 20130711 snapshot

* Mon Jun 24 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-0.2.20130624
- 1.3.1 20130624git snapshot
- fix/prune %%changelog
- .spec cosmetics

* Fri Jun 21 2013 Rex Dieter <rdieter@fedoraproject.org> 1.3.1-0.1.20130621
- 1.3.1 20130621git snapshot (uses new twitter 1.1 api)

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-5
- rebuild (qjson)

* Fri Nov 23 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-4
- rebuild (qjson)

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-2
- rebuild (attica)

* Sun Apr 22 2012 Sven Lankes <sven@lank.es> - 1.3-1
- new upstream release

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 31 2011 Rex Dieter <rdieter@fedoraproject.org> 1.2-3
- BR: pkgconfig(libattica)

* Sat Dec 31 2011 Sven Lankes <sven@lank.es> - 1.2-2
- rebuild for new libattica

* Wed Nov 23 2011 Sven Lankes <sven@lank.es> - 1.2-1
- new upstream release

* Tue Aug 09 2011 Sven Lankes <sven@lank.es> - 1.1-4
- fix bug on friendlist update (rhbz #729464)

* Tue Jul 26 2011 Rex Dieter <rdieter@fedoraproject.org> 1.1-3
- drop kwebkitpart support

* Tue Jun 21 2011 Rex Dieter <rdieter@fedoraproject.org> 1.1-2
- simplify %%files, use %%_kde4_appsdir macro
- use %%?_isa to tighten subpkg deps

* Sun Apr 03 2011 Sven Lankes <sven@lank.es> - 1.1-1
- new upstream release

* Sat Mar 26 2011 Sven Lankes <sven@lank.es> - 1.0-3
- apply upstream patch for rhbz #691237

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 30 2011 Sven Lankes <sven@lank.es> - 1.0-1
- new upstream release
